org.openstreetmap.josm.plugins.streetside.cache

## Class CacheUtils

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.cache.CacheUtils

-     public final class CacheUtils
      extends java.lang.Object

  Utility methods for working with cache.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `CacheUtils.IgnoreDownload`
    `static class` | `CacheUtils.PICTURE` Picture quality

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static CacheUtils.IgnoreDownload` | `ignoreDownload`
    `(package private) static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `CacheUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `downloadCubemap(StreetsideImage cm)` Downloads the the thumbnail and the full resolution picture of the given image.
    `static void` | `downloadPicture(StreetsideImage img)` Downloads the the thumbnail and the full resolution picture of the given image.
    `static void` | `downloadPicture(StreetsideImage img, CacheUtils.PICTURE pic)` Downloads the picture of the given image.
    `static void` | `submit(java.lang.String key, StreetsideCache.Type type, org.openstreetmap.josm.data.cache.ICachedLoaderListener lis)` Requests the picture with the given key and quality and uses the given listener.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          static final org.apache.log4j.Logger logger

    - #### ignoreDownload

          private static CacheUtils.IgnoreDownload ignoreDownload

  - ### Constructor Detail

    - #### CacheUtils

          private CacheUtils()

  - ### Method Detail

    - #### downloadPicture

          public static void downloadPicture(StreetsideImage img)

      Downloads the the thumbnail and the full resolution picture of the given image. Does nothing if it is already in cache.
      Parameters:
        `img` - The image whose picture is going to be downloaded.

    - #### downloadCubemap

          public static void downloadCubemap(StreetsideImage cm)

      Downloads the the thumbnail and the full resolution picture of the given image. Does nothing if it is already in cache.
      Parameters:
        `cm` - The image whose picture is going to be downloaded.

    - #### downloadPicture

          public static void downloadPicture(StreetsideImage img,
                                             CacheUtils.PICTURE pic)

      Downloads the picture of the given image. Does nothing when it is already in cache.
      Parameters:
        `img` - The image to be downloaded.
        `pic` - The picture type to be downloaded (full quality, thumbnail or both.)

    - #### submit

          public static void submit(java.lang.String key,
                                    StreetsideCache.Type type,
                                    org.openstreetmap.josm.data.cache.ICachedLoaderListener lis)

      Requests the picture with the given key and quality and uses the given listener.
      Parameters:
        `key` - The key of the picture to be requested.
        `type` - The quality of the picture to be requested.
        `lis` - The listener that is going to receive the picture.

JOSM Plugins